Skip to main content
POST
Run a retained widget step

Authorizations

Authorization
string
header
required

MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.

Path Parameters

projectId
string
required

ID of the hosted project that contains the server.

serverId
string
required

ID of the server inside the project.

id
string
required

Session ID returned by this local Inspector.

Body

application/json
step
object
required
priorWidgetToolCalls
object[]
Maximum array length: 1000

Response

The session operation result.

step
object
required
ok
boolean
required
widgetToolCalls
object[]
required
followUps
string[]
required
elapsedMs
number
required
expiresAt
number
required
reason
string
screenshotBase64
string
note
string
pluginWorkspace
object